;; Struktura opisu przyimka:
;;
;;  (przyimek przypadek [przypadek...])
;;
;; 

(defvar preposition-dictionary nil)
(setq preposition-dictionary
      (append
       (mapcar
	#'(lambda (x)
	    (list x 'D))
	'("do" "od" "dla" "bez" "koo" "okoo" "dokoa"
	  "obok" "wedug" "prcz" "oprcz" "u" "wrd"
	  "spord" "znad" "zza" "spod" "spoza" "sprzed"))
       
       (mapcar
	#'(lambda (x)
	    (list x 'C))
	'("przeciw" "przeciwko" "wbrew" "dziki" "k" "ku"))
       
       (mapcar
	#'(lambda (x)
	    (list x 'B))
	'("przez" "poprzez"))
       
       '(("przy" Mc))
       
       (mapcar
	#'(lambda (x)
	    (list x 'D 'C))
	'("naprzeciw" "naprzeciwko"))
       
       (mapcar
	#'(lambda (x)
	    (list x 'D 'B))
	'("mimo" "pomimo"))

       (mapcar
	#'(lambda (x)
	    (list x 'B 'N))
	'("midzy" "pomidzy" "pod" "przed" "nad" "ponad"))

       (mapcar
	#'(lambda (x)
	    (list x 'B 'Mc))
	'("w" "na" "o" "po"))

       (mapcar
	#'(lambda (x)
	    (list x 'D 'B 'N))
	'("za" "z"))))


(defun analyze-preposition (word)
  (assoc word preposition-dictionary :test #'string-equal))

(defun get-preposition (word)
  (let ((x (analyze-preposition word)))
    (when x
      (list x))))
       
